<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pesan</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
    <script>
        $(document).ready(function(){
          $("#button_view").click(function(){
            $("#note_message").load();
          });
        });
        </script>
</head>
<body>
    <table class="table table-secondary table-striped table-hover table-bordered table-lg">
        <thead>
          <tr>
            <th scope="col">To</th>
            <th scope="col">From</th>
            <th scope="col">Title</th>
            <th scope="col">Message</th>
            <th scope="row">Action</th>
          </tr>
        </thead>
        <tbody>
          {% for note in notes%}
          <tr>
            <td>{{note.to}}</td>
            <td>{{note.From}}</td>
            <td>{{note.title}}</td>
            <div id="note_message">
                <td> dummy </td>
            </div>
            <td>
                  <button type="button" class="btn btn-success" id="button_view">View</button>
                  <button type="button" class="btn btn-info">Edit</button>
                  <button type="button" class="btn btn-danger">Delete</button>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
</body>
</html>